このページの更新は終了しました。

最新の情報はTSUBAME3.0計算サービスのWebページをご覧ください。

TSUBAME2.5からTSUBAME3.0へのデータ移行方法の資料はこちら

I would like to use the latest version of a pgi(17.5) compiler.?

A pgi compiler is updated periodically. The latest version can be used. 
The following :

「TSUBAME  User’s Guide」 6.1.5 Alternative compilers
http://tsubame.gsic.titech.ac.jp/docs/guides/tsubame2/html_en/programming.html#id7

> source  /usr/apps/isv/pgi/pgiset17.5.sh  (17.5=Version No.)

Compiler version changes now. 
When using pgi by MPI, the MPI environment also needs to be changed. 
Please refer to guidance : 6.3 MPI
http://tsubame.gsic.titech.ac.jp/docs/guides/tsubame2/html_en/programming.html#mpi

Refer to the difference of compiler version :
http://www.bestsystems.co.jp/products/software/programing/pgicompiler/outline.html

 (2017.6.12)